SYSTEMD-CAT(1)

BEZEICHNUNG
systemd-cat - Eine Pipe oder Programmausgabe mit dem Journal verbinden

ÜBERSICHT

systemd-cat [OPTIONEN…] [BEFEHL] [ARGUMENTE…]

systemd-cat [OPTIONEN…]

BESCHREIBUNG

systemd-cat kann zur Verbindung der Standardeingabe und -ausgabe eines Prozesses mit dem Journal oder als Filterwerkzeug in Shell-Weiterleitungen verwandt werden, um die vom vorherigen Weiterleitungselement erstellte Ausgabe an das Journal weiterzugeben.

Falls kein Parameter übergeben wurde, wird systemd-cat alles, was es von der Standardeingabe (Stdin) liest, an das Journal schreiben.

Falls Parameter übergeben werden, werden sie als Befehlszeile mit der Standardausgabe (Stdout) und der Standardfehlerausgabe (Stderr) verbunden mit dem Journal ausgeführt, so dass alle Schreibvorgänge im Journal gespeichert werden.

OPTIONEN

Die folgenden Optionen werden verstanden:

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

-t, --identifier=
    Gibt eine kurze Zeichenkette an, die zur Identifikation des Protokollierungswerkzeuges verwandt wird. Falls nicht angegeben, wird keine Identifikationszeichenkette in das Journal geschrieben.

-p, --priority=
    Gibt die Vorgabeprioritätsstufe für die protokollierten Nachrichten an. Übergeben Sie einen der folgenden Werte oder eine Zahl zwischen 0 und 7 (die zu den gleichen benannten Stufen passen) an: »emerg«, »alert«, »crit«, »err«, »warning«, »notice«, »info«, »debug«. Diese Prioritätsstufen sind mit den in syslog(3) definierten identisch. Die Vorgabe ist »info«. Beachten Sie, dass dies einfach die Vorgabe steuert, individuelle Zeilen dürfen mit anderen Stufen protokolliert werden, falls diese ihnen entsprechend vorangestellt werden. Für Details siehe --level-prefix= unten.

--stderr-priority=
    Gibt die Vorgabeprioritätsstufe für die Nachrichten der Standardfehlerausgabe (Stderr) des Prozesses an. Die Option wird wie die obige Option --priority= verwandt und beide können gleichzeitig verwandt werden. Wenn beide verwandt werden, wird --priority= die Standardpriorität für die Standardausgabe (Stdout) festlegen.

    Falls --stderr-priority= nicht angegeben ist, werden Nachrichten von Stderr weiterhin protokolliert, mit der gleichen Vorgabeprioritätsstufe wie Stdout.

    Beachten Sie auch, dass die Nachrichten streng sortiert werden, wenn Stdout und Sterr die gleiche Vorgabepriorität benutzen, da für beide ein Kanal verwandt wird. Wenn sich die Vorgabepriorität unterscheidet, werden zwei Kanäle verwandt und die Stdout-Nachrichten werden nicht im Hinblick auf die Stderr-Nachrichten streng sortiert - allerdings werden sie wahrscheinlich ungefähr sortiert sein.

--level-prefix=
    Steuert, ob eingelesene Zeilen auf Syslog-Prioritätstufen hin ausgewertet werden. Falls aktiviert (die Vorgabe), wird eine Zeile, die mit einer Prioritätsstufe wie »<5>« beginnt, mit der Priorität 5 (»notice«) protokolliert und ähnlich für andere Prioritätsstufen. Akzeptiert ein logisches Argument.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE

Beispiel 1. Ein Programm aufrufen

Dies ruft /bin/ls mit der Standardausgabe und dem Standardfehler verbunden mit dem Journal auf:

    # systemd-cat ls

Beispiel 2. Benutzung in einer Shell-Pipe

Dies baut eine Shell-Pipe auf, die auch /bin/ls aufruft und dessen Ausgabe in das Journal schreibt:

    # ls | systemd-cat

Obwohl die beiden Beispiele sehr ähnliche Effekte haben, sollte das erste bevorzugt werden, da da nicht mehrere Prozesse gleichzeitig laufen und sowohl Stdout als auch Stderr eingefangen werden, während im zweiten Beispiel nur Stdout eingefangen wird.

SIEHE AUCH

systemd(1), systemctl(1), logger(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).